<p align="center" >
    <img src="images/logo_maxkey.png?raw=true"  width="200px"   alt=""/>
</p>
<p align="center">
  <strong>Leading-Edge IAM Identity and Access management Product</strong>
</p>     
<p align="center" >
<a href="README_en.md" target="_blank"><b>English</b></a>  |  <a href="README_zh.md" target="_blank"><b>中文</b></a>
</p>     
<p align="center">
    <a target="_blank" href="https://maxkey.top/zh/about/download.html">
        <img src="https://img.shields.io/github/v/release/dromara/MaxKey" />
    </a>
    <a target="_blank" href="https://www.oracle.com/java/technologies/downloads/">
        <img src="https://img.shields.io/badge/JDK-v1.8%2B-brightgreen" />
    </a>
    <a target="_blank" href="https://www.mysql.com/">
        <img src="https://img.shields.io/badge/MySQL-8.0.12%2B-brightgreen" />
    </a>
    <a target="_blank" href="https://maxkey.top/zh/about/licenses.html">
        <img src="https://img.shields.io/github/license/dromara/MaxKey" />
    </a>
</p>

# Overview

<b>Maxkey </b> Single Sign On system, which means the Maximum key, <b>Leading-Edge IAM Identity and Access management product </b>, Support OAuth 2.x/OPENID CONNECT, SAML 2.0, JWT, CAS, SCIM and other standard protocols, and provide <b> Simple, Standard, Secure and Open </b> Identity management (IDM), Access management (AM), Single Sign On (SSO), RBAC permission management and Resource management.

Official Website <a href="https://www.maxkey.top" target="_blank"><b>Official</b></a> |  <a href="https://maxkeytop.gitee.io" target="_blank"><b>Line2</b></a>

QQ Community: <b> 434469201 </b> 

email: <b> maxkeysupport@163.com </b>

Code Hosting <a href="https://github.com/dromara/MaxKey" target="_blank"><b>GitHub</b></a> | <a href="https://gitee.com/dromara/MaxKey" target="_blank"><b>Gitee</b></a>

><b> Single Sign On </b>(<b> SSO </b >),Users only need to login to the authentication center once , access all the trusted application systems without logging in again.
>
>**Key Functions**
>1) All application systems share one Identity authentication system
>2) All application systems can Identify and extract Ticket
 
 
# Features

1.  Standard Protocols

| No.     | Protocols   |  Support  |
| --------| :-----      | :----     |
| 1.1     | OAuth 2.x/OpenID Connect    	| HIGH  |
| 1.2     | SAML 2.0                    	| HIGH  |
| 1.3     | JWT                         	| HIGH  |
| 1.4     | CAS                         	| HIGH  |
| 1.5     | FormBased                   	| MIDDLE|
| 1.6     | TokenBased(Post/Cookie)     	| MIDDLE|
| 1.7     | ExtendApi                   	| LOW   |
| 1.8     | EXT                         	| LOW   |

2. Authentication

| No.     | SignIn Support  | Support   |
| --------| :-----          | :----     |
| 2.1     | Captcha         | letter / number / arithmetic  | 
| 2.2     | Two Factor Authentication  | SMS / TOPT/ Mail     |
| 2.3     | SMS             | Tencent SMS / Alibaba SMS / NetEaseYunXin     |
| 2.4     | TOTP            | Denglu1/Google/Microsoft Authenticator/FreeOTP/Support TOTP or HOTP |
| 2.5     | Domain          | Kerberos/SPNEGO/AD domain|
| 2.6     | LDAP            | OpenLDAP/ActiveDirectory/Standard LDAP Server |
| 2.7     | Social Account  | WeChat/QQ/ Weibo/DingTalk/Google/Facebook/other  | 
| 2.8     | Scan QR Code    | WorkWeiXin/DingTalk/FeiShu Scan QR Code | 


3. Standard Authentication Protocols for applications to integrate sso, secure mobile access, secure API, third-party authentication and Internet authentication.

4. Identity Lifecycle management, support SCIM 2 , and The out of the box connector realizes identity supply synchronization.

5. Simplify Microsoft Active Directory , standard LDAP server organization and account management, and reset password through password self-service.

6. The Multi-Tenancy authentication platform , supports the independent management of multiple enterprises under the group company or the data isolation of different departments under the enterprise, so as to reduce the operation and maintenance cost.

7. The platform independence and diversity of environment. It supports web, mobile phone, mobile devices, such as apple IOS, Android, etc., and covers the certification ability from B/S to mobile applications.

8. Based on Java EE platform , microservice architecture, Use Spring, MySQL, Tomcat, Redis , Kafka , RocketMQ and other open source technologies, and has strong scalability.

9. Open Source, Secure,  Independent and Controllable , License Under Apache 2.0 License & <a href="https://maxkey.top/zh/about/licenses.html" target="_blank">MaxKey copyright</a>. 


# Interface

**MaxKey**

Login UI
<img src="images/maxkey_login.png?raw=true"/>

App List UI
<img src="images/maxkey_index.png?raw=true"/>

**MaxKey Management**

Report UI
<img src="images/maxkey_mgt_rpt.png?raw=true"/>

User Management UI
<img src="images/maxkey_mgt_users.png?raw=true"/>

App Management UI
<img src="images/maxkey_mgt_apps.png?raw=true"/>


# Download

Download the current version from Baidu Pan,<a href="https://maxkey.top/zh/about/download.html" target="_blank"> history version</a>

| Version    | Date   |  Docker  |  Pan URL  |  Pan Code  |
| --------   | :----- | :----    | :----     | :----      |
| v 3.3.3 GA | 2022/03/03   |<a href="https://hub.docker.com/u/maxkeytop" target="_blank">Home</a>  |  <a href="https://pan.baidu.com/s/13hNZo2YoS7bNzX4loSQx8A" target="_blank">Download</a>  |  **mxk9**  |


# Roadmap

| No.     | Plan    |  Date   |
| --------| :-----  | :----  |
| 1     | React, and Ant Design                                     |  2022Q2  |
| 2     | Java 17+                                                  |  2022Q4  |
| 3     | Jakarta EE 9+                                             |  2022Q4  |
| 4     | Spring Framework 6                                        |  2022Q4  |
| 5     | Spring Boot 3                                             |  2022Q4  |


# User Registration

<a href="https://github.com/dromara/MaxKey/issues/40" target="_blank"> Click to register </a> as MaxKey user and contribute to MaxKey!

以下为部分接入或测试中的用户

| 行业    | 单位    |
| --------| :-----  |
| 院校    | 兰州现代职业学院                            |
| 院校    | 长春职业技术学院                            |
| 教育    | 重庆市北碚图书馆                            |
| 教育    | 德清智慧教育平台                            |
| 教育    | 余姚市教育局                                |
| 企业    | 国家能源局                                  |
| 企业    | 360公司                                     |
| 企业    | 深圳市金溢科技股份有限公司                  |
| 企业    | 之江实验室                                  |
| 企业    | 深圳市中悦科技有限公司                      |
| 金融    | 国元证券                                    |
| 金融    | 华夏金融租赁有限公司                        |
| 金融    | 宁波金融资产交易中心                        |
| 金融    | 国宝人寿保险股份有限公司                    |
| 金融    | 瀚华金控股份有限公司                        |
| 汽车    | 路特斯中国                                  |
| 企业    | 北京银泰置业有限公司                        |
| 企业    | 遂宁市经济大数据平台                        |
| 企业    | 同方节能工程技术有限公司                    |
| 企业    | 云南航天工程物探检测股份有限公司            |
| 企业    | 山东港口陆海国际物流集团有限公司            |
| 企业    | 广州无线电集团                              |
| 企业    | 河南新辰环保科技有限公司                    |
| 企业    | 三一华兴                                    |
| 企业    | unicon.net                                  |
| 企业    | 深圳市东阳光实业发展有限公司                |
| 企业    | 黄河科技集团有限公司                        |
| 企业    | 新开普电子股份有限公司                      |
| 企业    | 杭州润为数据科技有限公司                    |
| 企业    | 百安居中国                                  |
| 科技    | 广州思迈特软件有限公司                      |
| 科技    | 尚企云链                                    |
| 科技    | 北京博亚思科技有限公司                      |
| 科技    | 武汉英特沃科技有限公司                      |
| 科技    | 江苏创致信息科技有限公司                    |
| 科技    | 湖南数通信息技术服务有限公司                |
| 科技    | 广东漫云物联科技有限公司                    |
| 科技    | 江西云车科技有限公司                        |
| 科技    | 无锡市陶都巨龙软件有限责任公司              |

# Dromara社区
<a href="https://dromara.org/zh/" target="_blank">**Dromara**</a>致力于微服务云原生解决方案的组织。

 - **开放** 技术栈全面开源共建、 保持社区中立、兼容社区 兼容开源生态
 
 - **愿景** 让每一位开源爱好者，体会到开源的快乐
 
 - **口号** 为往圣继绝学，一个人或许能走的更快，但一群人会走的更远